import type { Meta, StoryObj } from '@storybook/angular';

import { TestbtnComponent } from './testbtn.component';

const meta: Meta<TestbtnComponent> = {
  title: 'Test button',
  component: TestbtnComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<TestbtnComponent>;

export const Default: Story = {
  render: () => ({
    template: '<ozg-testbtn><p>Hello world!</p></ozg-testbtn>'
  }),
};
