import { isNotNil } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';
import { FormControlEditorAbstractComponent } from 'libs/ui/src/lib/ui/editor/formcontrol-editor.abstract.component';

@Component({
  selector: 'text-field',
  templateUrl: './text-field.component.html',
})
export class TextFieldComponent extends FormControlEditorAbstractComponent {
  @Input()
  label: string;

  get errorMessages(): string[] {
    return isNotNil(this.control?.errors) ? Object.values(this.control.errors) : [];
  }
}
