import { ApiError, Issue, getMessageForIssue } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-form-error',
  templateUrl: './vorgang-detail-bescheiden-form-error.component.html',
  styles: [],
})
export class VorgangDetailBescheidenFormErrorComponent {
  @Input() set error(error: ApiError) {
    error.issues.forEach((issue: Issue) =>
      this.errorList.push(getMessageForIssue('Bescheid Dokument', issue)),
    );
  }

  public errorList: string[] = [];
}
