package de.ozgcloud.alfa.export;

import java.util.List;

import de.ozgcloud.alfa.common.file.OzgFile;
import de.ozgcloud.alfa.common.file.OzgFileTestFactory;
import de.xoev.xdomea.AbgabeAbgabe0401;

class ExportDataTestFactory {

	public static final String EXPORT_FILENAME = "file.zip";
	public static final OzgFile OZG_FILE = OzgFileTestFactory.create();
	public static final AbgabeAbgabe0401 ABGABE = AbgabeAbgabe0401TestFactory.create();

	public static ExportData create() {
		return createBuilder().build();
	}

	public static ExportData.ExportDataBuilder createBuilder() {
		return ExportData.builder()
				.exportFilename(EXPORT_FILENAME)
				.abgabe(ABGABE)
				.exportFiles(List.of(OZG_FILE));
	}
}
